#include "xhbasic.h"
#include "title2.h"
#include "zone.xpm"

Pixmap zonepm = 0;
Pixmap zonemask = 0;

Title2::Title2(XhedgehogWin *xw) :
  Sprite(xw,250,-17,0,0) {
    count = 0;
    if(zonepm == 0) {
      xw->LoadPixmap(zone_xpm,&zonepm,&zonemask);
    }
    ChangeSpriteShape(zonepm,zonemask);
    SetSpriteMotion(0,30);
}

void Title2::MoveSprite(float newx,float newy) {
  if(newy >= 180) {
    SetSpriteMotion(0,0);
    count++;
    if(count >= 50) {
      SetSpriteMotion(0,30);
    }
    else {
      newy = 180;
    }
  }
  if(newy >= 300) {
    Nuke();
  }
  Sprite::MoveSprite(newx,newy);
}

